	ИЗМЕНЕНИЯ, ДОБАВЛЕНИЯ И ИСПРАВЛЕНИЯ ДЛЯ НОВЫХ ВЕРСИЙ ПО "Арвид-1000"

  V1.20.017:

	Исправлены следующие ошибки предыдущей версии:
	- программа некорректно работала в режиме Incremental Backup
	- не идентифицировались некоторые tdr-ленты, записанные ПО для DOS
	  старых версий
	- при восстановлении оглавления ленты процедура поиска ошибочно могла
	  позиционироваться за физический конец ленты
	- положения окна и разделителей не сохранялись при выходе из программы
	- некорректно отображалось окно с копируемыми файлами
	- при работе в системе с IE4 Active desktop происходило постоянное 
          обращение к дисководам

  V1.20.016:

	- все программы перетранслированы с использованием
Visual C++ V.5.0 (SP2).
	- введены дополнительные сплиттеры, разделяющие подпанели.
	- исправлена ошибка, возникавшая при попытке повторной записи на
ленту при отсутствии оглавления.
	- исправлена ошибка, связанная с невозможностью работы с High level
API при динамической загрузке DLL.
	- в режиме NC-like способа выбора файлов не работала клавиша "Enter".

  V1.12.015:

	- исправлена ошибка обнуления длины столбцов при выводе списка в виде
таблицы. Она возникала в случае изменения способа вывода списка.
	- убрана возможность выполнения move'а файла в ту же директорию, где
он находится.
	- добавлена возможность быстрого выхода в корень дерева.
	- добавлен контроль свободного места при записи данных на ленту.
	- добавлена возможность выбора режима выделения файлов в стиле
Norton Commander или Windows Explorer.
	- добавлена возможность выбора режима, в котором показываются
выделенные файлы на неактивной панели.

  V1.12.014:

	- в комплект поставки включены файлы, содержащие ответы на наиболее
часто задаваемые вопросы (FAQ).
	- в программе эмуляции пульта дистанционного управления добавлено
подтверждение нажатия кнопки RECORD.
	- вся документация переведена в ANSI - кодировку (кодовая страница
1251).
	- убрана возможность создания новых документов AVT и TDR.
	- добавлена возможность изменения параметра I/O Recovery16 (подробнее
см. файл README.TXT).
	- добавлено копирование пустых каталогов.
	- исправлена ошибка при записи на новую ленту: иногда ошибочно
выполнялась идентификация вместо инициализации.
	- исправлена ошибка аварийного завершения программы при перемещении
файлов внутри ленты.
	- исправлена ошибка при отображении на панелях подкаталогов
отложенного копирования: при отсутствии файлов в каталоге подкаталоги не 
показывались.
	- исправлена ошибка неправильного определения фокуса ввода (дерево
или список) при работе с клавишей Shift-Tab.
	- исправлена следующая ошибка: если при попытке записи возникала
ошибка "сектор не найден", то выбор "Повторить" приводил к неправильному
режиму записи с последующим крахом.
	- исправлена ошибка выдачи ИК команды для 105X: при работе в формате
ленты 325 в начале команды иногда (с вероятностью  около 1/20) выдавался
битовый мусор,поведение ВМ непредсказуемо и зависит от количества мусора
(часто потеря ИК команды).
	- исправлена ошибка ввода ИК команды для 105X: при вводе ИК первое
слово каждого кадра попадало в предыдущий кадр; приводила к неустойчивому
вводу ИК.
	- исправлен поиск целевой позиции перед записью: раньше поиск после
верификации всегда делался через PLAY (даже если позиция была известна), что
иногда приводило к ошибке "сектор не найден".

  V1.12.013:

	- не выпущена из суеверных соображений.

  V1.12.012:

	- исправлены ошибки предыдущей версии.

  V1.12.011:

	- добавлена возможность выбора выдачи условной или безусловной
последовательности ИК - команды "POWER".
	- в оболочку добавлена возможность получения информации о текущей
ленте, а также возможность идентификации ленты, вставленной в ВМ, с выдачей
информации о ней.
	- реализовано отображение разных иконок для лент форматов AVT и TDR.
	- добавлена возможность выполнения ИК - команды "EJECT" после
окончания операции с лентой.
	- заблокирована возможность перезагрузки компьютера во время
выполнения операции копирования.
	- в поставку включен файл, содержащий список ошибок, выдаваемых ПО.
	- в RECOVER добавлена опция - сохранять все файлы с одинаковыми
именами или последний из найденных.
	- написана программа полного удаления ПО комплекса (из системного
реестра удаляются все сделанные записи).
	- исправлены ошибки предыдущей версии.

  V1.12.010:

	- написана программа, обеспечивающая работу с Арвидом в режиме
командной строки (AVCOMSTR).
	- реализовано API верхнего уровня для работы с лентами.
	- написана DLL для отображения процесса копирования информации на
экране, доступ к которой можно получить через API для работы с лентами.
	- добавлена возможность корректировать программную конфигурацию
Арвида из Control Panel'и, не запуская оболочки.
	- реализована поддержка произвольного числа директорий, в которых
могут находиться оглавления лент.
	- реализована динамическая загрузка оглавлений лент в формате TDR,
т.е. загрузка TDR - файла без предварительной конвертации его в AVT формат
программой TDR2AVT.EXE. Файл TDR2AVT.EXE исключен из поставки.
	- внесены существенные изменения в утилиту синхронизации содержимого
ленты и диска. Алгоритм стал работать гораздо быстрее и корректнее.
	- в окно отображения процесса копирования добавлен параметр "Время,
оставшееся до конца операции".
	- в окно отображения процесса копирования добавлен проигрыш звукового
сигнала по окончании операции.
	- реализован тест кольца данных в режиме STOP.
	- исправлены ошибки предыдущей версии.

  V1.11.009:

	- исправлена ошибка, проявлявшаяся при считывании оглавления с ленты.
Теперь необходимо сделать любую запись на ленту этой версией ПО, после чего
оглавление с ленты будет нормально считываться.

  V1.11.008:

	- исправлены ошибки предыдущей версии.

  V1.11.007:

	- написана программа восстановления оглавления с ленты (Recover).
	- исправлена ошибка в TDR2AVT.EXE преобразования времени создания
файла.
	- реализован контроль возможности выполнения операций в зависимости
от текущего положения курсора с запрещением соответствующих пунктов меню и
пунктов панели управления.
	- интерфейс работы с драйвером настроен на работу с транслятором
BorlandC V4.5.
	- исправлены ошибки предыдущей версии.

  V1.11.006:

	- добавлена работа с деревьями - раскрывание/свертывание всего дерева
или выбранной его ветви.
	- добавлен пункт меню "Invert selection".
	- добавлен пункт меню "Копирование на NUL".
	- реализована операция move внутри ленты.
	- реализовано API для работы с оглавлениями лент.
	- исправлены ошибки предыдущей версии.

  V1.11.005:

	- исправлена ошибка в драйвере, проявлявшаяся при позиционировании ВМ.
(контроллер 1052)
	- исправлены ошибки предыдущей версии.

  V1.11.004:

	- неработоспособная версия (выпущена по ошибке)

  V1.11.003:

	- реализован контроль номера версии ОС, под которой происходит работа
с комплексом.
	- реализован контроль работы под Windows NT пользователем, не имеющем
прав администратора.
	- реализован более удобный интерфейс с пользователем при выборе ВМ.
	- добавлена диагностика причины, по которой файл не был удачно
скопирован с диска на ленту или обратно.
	- вставлено появление динамического меню, появляющегося при нажатии
в оболочке на правую кнопку мыши.
	- открыт интерфейс для работы с лентами в формате AVT.
	- написана программа для просмотра содержимого оглавлений лент.
Программа использует открытый интерфейс ленты. Исходные тексты программы
включены в комплект поставки и могут быть использованы как пример работы с
интерфейсом ленты.
	- в комплект поставки включены файлы, описывающие архитектуру
контроллеров 1031, 1051 и 1052.
	- исправлены ошибки предыдущей версии.

  V1.11.002:

	- для ОС Windows 95 исправлен алгоритм обнаружения контроллера Арвид
при многократном выполнении "Add New Hardware".
	- в оболочке реализовано "проваливание" в директорию, найденную в
программе поиска файлов.
	- параметр "число откатов при чтении" вынесен в конфигурацию.
	- исправлены ошибки предыдущей версии.

  V1.11.001:

	- реализована поддержка контроллера Арвид-1052 (аналог 1051 с 
увеличенной от 128K до 512K памятью).
	- реализовано копирование дисков и лент целиком.
	- реализован контроль свободного места на дисках при копировании.
	- утилита эмуляция пульта ДУ реализована как отдельная программа.
	- реализовано сохранение списка файлов, найденных в программе поиска,
в файле на диске.
	- реализована возможность динамического выбора языка (русский или
английский) для ОС Windows NT.
	- извлечение файла управления ВМ (.VCR) из базы и сохранение его на
диске только по подтверждению пользователя.
	- введена сквозная нумерация версий ПО.
	- исправлены ошибки предыдущей версии.

  V1.10:

	- реализована поддержка контроллера Арвид-1051.
	- реализованы два алгоритма автоподстройки фазы приема для контроллера
Арвид-1051.
	- написана программа поиска файлов по оглавлениям лент с последующей
возможностью копирования найденной информации на диск.
	- реализована утилита эмуляции пульта ДУ.
	- реализована утилита синхронизации содержимого директорий на диске и
на ленте.
	- реализованы различные режимы копирования: архивирование (с
различными способами сравнения файлов в режиме overwrite) и резервное
копирование (с анализом и сбросом архивного бита).
	- реализована возможность выбора лент, которые будут в данный момент
доступны.
	- реализован подсчет размера выделенных файлов.
	- реализовано выделение всех элементов в списке файлов.
	- реализовано сохранение текущей конфигурации программы и загрузки ее
при последующих запусках.
	- реализована возможность отображения информации при копировании в
виде "закладок" или целиком.
	- реализована поддержка произвольной длины лент.
	- реализовано гашение параметра "фаза приема" при записи.
	- исправлены ошибки предыдущей версии.

  V1.00:

	Первая коммерческая версия ПО для работы под Windows 95 и Windows NT.
Обеспечивает выполнение основных операций по монтированию (идентификация,
инициализация, считывание оглавления с ленты) и размонтированию ленты,
копированию информации (с диска на ленту и с ленты на диск), удалению
информации.
	Реализован механизм отложенного копирования с диска на ленту и
обратно.
	Возможна верификация ранее записанной информации путем копирования ее
на NUL-устройство.
	Драйвер поддерживает работу с контроллером Арвид-1031.
	Реализовано программное сжатие данных "на лету".
	Встроена контекстно-зависимая помощь.
	Встроена система комментариев к файлам и директориям на дисках и
лентах.
	Реализованы различные режимы отображения и сортировки информации.
